FreeBSD : Mozilla -- multiple vulnerabilities (04b7d46c-7226-11e0-813a-6c626dd55a41)

High Nessus Plugin ID 53579


The remote FreeBSD host is missing one or more security-related updates.


The Mozilla Project reports :

MFSA 2011-12 Miscellaneous memory safety hazards

MFSA 2011-13 Multiple dangling pointer vulnerabilities

MFSA 2011-14 Information stealing via form history

MFSA 2011-15 Escalation of privilege through Java Embedding Plugin

MFSA 2011-16 Directory traversal in resource: protocol

MFSA 2011-17 WebGLES vulnerabilities

MFSA 2011-18 XSLT generate-id() function heap address leak


Update the affected packages.

See Also

Plugin Details

Severity: High

ID: 53579

File Name: freebsd_pkg_04b7d46c722611e0813a6c626dd55a41.nasl

Version: $Revision: 1.7 $

Type: local

Published: 2011/04/29

Modified: 2015/05/13

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:firefox, p-cpe:/a:freebsd:freebsd:libxul, p-cpe:/a:freebsd:freebsd:linux-firefox, p-cpe:/a:freebsd:freebsd:linux-firefox-devel, p-cpe:/a:freebsd:freebsd:linux-seamonkey, p-cpe:/a:freebsd:freebsd:seamonkey, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2011/04/29

Vulnerability Publication Date: 2011/04/28